package com.sibatel.solarapp.data.viewmodel

import androidx.lifecycle.LiveData
import androidx.lifecycle.ViewModel
import com.sibatel.solarapp.data.SolarRepository
import com.sibatel.solarapp.data.model.tower.Maintenance

class MaintenanceViewModel(private val solarRepository:SolarRepository) : ViewModel() {
    fun getMaintenance(id : Int) : LiveData<ArrayList<Maintenance>> = solarRepository.getMaintenanceList(id)
}