package com.sibatel.solarapp.ui.mentoring

import android.content.Context
import androidx.annotation.StringRes
import androidx.fragment.app.Fragment
import androidx.fragment.app.FragmentActivity
import androidx.viewpager2.adapter.FragmentStateAdapter
import com.sibatel.solarapp.R
import com.sibatel.solarapp.ui.mentoring.solar.pengambilan.PengambilanSolarFragment
import com.sibatel.solarapp.ui.mentoring.solar.penggunaan.PenggunaanSolarFragment


class SectionsPagerAdapter(fm: FragmentActivity, role:String) : FragmentStateAdapter(fm) {

    private val role = role
    override fun getItemCount(): Int {
        var x =0;
        if (role.equals("maintenance")){
            x=1
        }else if (role.equals("timkorektif")){
            x=1
        }else{
            x=2
        }
        return x
    }

    override fun createFragment(position: Int): Fragment=

        if (role.equals("maintenance")){
             when(position){
                    0 -> PenggunaanSolarFragment()
                    else -> PenggunaanSolarFragment()
                }
            }else if(role.equals("timkorektif")){
            when(position){
                0 -> PengambilanSolarFragment()
                else -> PengambilanSolarFragment()
                }
            }else{
              when(position){
                    0 -> PengambilanSolarFragment()
                    1 -> PenggunaanSolarFragment()
                    else -> PengambilanSolarFragment()
        }

    }

}