package com.sibatel.solarapp.data.viewmodel

import androidx.lifecycle.LiveData
import androidx.lifecycle.ViewModel
import com.sibatel.solarapp.data.SolarRepository
import com.sibatel.solarapp.data.model.solar.pengambilansolar.PengambilanSolar

class PengambilanSolarViewModel (private val solarRepository: SolarRepository) : ViewModel(){
    fun getPengambilanSolar(id:Int) : LiveData<ArrayList<PengambilanSolar>> = solarRepository.getPengambilanSolarList(id)
}